package test.org.seasar.framework.aop.interceptors;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class InterceptorsAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(InterceptorsAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.framework.aop.interceptors");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(DelegateInterceptorTest.class));
		suite.addTest(new TestSuite(MockInterceptorTest.class));
		suite.addTest(new TestSuite(ThrowsInterceptorTest.class));
		suite.addTest(new TestSuite(TraceInterceptorTest.class));
		//$JUnit-END$
		return suite;
	}
}
